Subject: bug#4221: improve font-lock-comment-face on dark background low color terminals

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Jul 2011 00:20:54 -0400

>> The patch below uses the high contrast "yellow" color for
>> font-lock-comment-face on low color terminals using a dark background
>> color.
>> Yellow is not used by many other font-lock faces on such terminals.
>> 
>> This will enable us to eliminate the need for the
>> font-lock-comment-delimiter-face. (which the patch does not do, it just
>> makes it identical to font-lock-comment-face, it will be done in an
>> incremental patch).

> That will make the delimiters the same colour as the comments.  Is that
> what we want?

I've always disliked the addition of font-lock-comment-delimiter-face,
so yes, I do want that.

        Stefan